RegexpUtil (Apache Ant API)
Keywords: org.apache.tools.ant.util.regexp.RegexpUtil class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class RegexpUtil

    java.lang.Object
      org.apache.tools.ant.util.regexp.RegexpUtil

    public class RegexpUtil

extends java.lang.Object

Regular expression utilities class which handles flag operations.

Constructor Summary
`RegexpUtil()`

Method Summary
`static int` | `asOptions(boolean caseSensitive)` Convert flag to regex options.
`static int` | `asOptions(boolean caseSensitive, boolean multiLine, boolean singleLine)` Convert flags to regex options.
`static int` | `asOptions(java.lang.String flags)` convert regex option flag characters to regex options g - Regexp.REPLACE_ALL i - RegexpMatcher.MATCH_CASE_INSENSITIVE m - RegexpMatcher.MATCH_MULTILINE s - RegexpMatcher.MATCH_SINGLELINE
`static boolean` | `hasFlag(int options, int flag)` Check the options has a particular flag set.
`static int` | `removeFlag(int options, int flag)` Remove a particular flag from an int value contains the option flags.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpUtil

    public RegexpUtil()

Method Detail

### hasFlag

    public static boolean hasFlag(int options,
                                  int flag)

  Check the options has a particular flag set.

  Parameters:
    `options` - an `int` value
    `flag` - an `int` value
  Returns:
    true if the flag is set

### removeFlag

    public static int removeFlag(int options,
                                 int flag)

  Remove a particular flag from an int value contains the option flags.

  Parameters:
    `options` - an `int` value
    `flag` - an `int` value
  Returns:
    the options with the flag unset

### asOptions

    public static int asOptions(java.lang.String flags)

  convert regex option flag characters to regex options
  - g - Regexp.REPLACE_ALL
  - i - RegexpMatcher.MATCH_CASE_INSENSITIVE
  - m - RegexpMatcher.MATCH_MULTILINE
  - s - RegexpMatcher.MATCH_SINGLELINE

  Parameters:
    `flags` - the string containing the flags
  Returns:
    the Regexp option bits
  Since:
    Ant 1.8.2

### asOptions

    public static int asOptions(boolean caseSensitive)

  Convert flag to regex options.

  Parameters:
    `caseSensitive` - opposite of RegexpMatcher.MATCH_CASE_INSENSITIVE
  Returns:
    the Regexp option bits
  Since:
    Ant 1.8.2

### asOptions

    public static int asOptions(boolean caseSensitive,
                                boolean multiLine,
                                boolean singleLine)

  Convert flags to regex options.

  Parameters:
    `caseSensitive` - opposite of RegexpMatcher.MATCH_CASE_INSENSITIVE
    `multiLine` - RegexpMatcher.MATCH_MULTILINE
    `singleLine` - RegexpMatcher.MATCH_SINGLELINE
  Returns:
    the Regexp option bits
  Since:
    Ant 1.8.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD